hmt-0.15: Haskell Music Theory

Safe Haskell | Safe
Language | Haskell98

Music.Theory.Duration.Name

Contents

- Constants

Description

Names for common music notation durations.

Synopsis

- breve :: Duration
- whole_note :: Duration
- half_note :: Duration
- quarter_note :: Duration
- eighth_note :: Duration
- sixteenth_note :: Duration
- thirtysecond_note :: Duration
- dotted_breve :: Duration
- dotted_whole_note :: Duration
- dotted_half_note :: Duration
- dotted_quarter_note :: Duration
- dotted_eighth_note :: Duration
- dotted_sixteenth_note :: Duration
- dotted_thirtysecond_note :: Duration
- double_dotted_breve :: Duration
- double_dotted_whole_note :: Duration
- double_dotted_half_note :: Duration
- double_dotted_quarter_note :: Duration
- double_dotted_eighth_note :: Duration
- double_dotted_sixteenth_note :: Duration
- double_dotted_thirtysecond_note :: Duration

# Constants

breve :: Duration Source #

whole_note :: Duration Source #

half_note :: Duration Source #

quarter_note :: Duration Source #

eighth_note :: Duration Source #

sixteenth_note :: Duration Source #

thirtysecond_note :: Duration Source #

dotted_breve :: Duration Source #

dotted_whole_note :: Duration Source #

dotted_half_note :: Duration Source #

dotted_quarter_note :: Duration Source #

dotted_eighth_note :: Duration Source #

dotted_sixteenth_note :: Duration Source #

dotted_thirtysecond_note :: Duration Source #

double_dotted_breve :: Duration Source #

double_dotted_whole_note :: Duration Source #

double_dotted_half_note :: Duration Source #

double_dotted_quarter_note :: Duration Source #

double_dotted_eighth_note :: Duration Source #

double_dotted_sixteenth_note :: Duration Source #

double_dotted_thirtysecond_note :: Duration Source #